# Uses of Interface
org.springframework.web.servlet.mvc.condition.MediaTypeExpression

Packages that use MediaTypeExpression
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.

## Uses of MediaTypeExpression in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return types with arguments of type MediaTypeExpression
Modifier and Type
Method
Description
`Set<MediaTypeExpression>`
ConsumesRequestCondition.`getExpressions()`
Return the contained MediaType expressions.
`Set<MediaTypeExpression>`
ProducesRequestCondition.`getExpressions()`
Return the contained "produces" expressions.